<?xml version="1.0" encoding="windows-1251"?>
<registry>
	<node path="%root%\Объекты\Контроллеры\Платформа\Синхронизация">
		<value type="7" name="СинхронизироватьОписания">включить "\библиотеки\libru.lib";
включить "\библиотеки\Reports.lib";
включить "\библиотеки\Base.lib";
включить "\библиотеки\Layers.lib";
включить "\Макросы\Слои\ПоддержкаКонтроллеров.abl";

СинхронизироватьОписания(Параметры: IVariables);
переменные
  //Параметры контроллера
  СлойПриемник: ILayer;
  СлойИсточник: ILayer;
  Источник, Приемник : СтатическиеДанные;
начало
  ПроверитьНаличиеПараметровДляКонтроллераВУзле(РабочийУзел, Параметры, 'СлойПриемник,СлойИсточник');
  //Извлечение значений параметров контроллера из коллекции
  СлойПриемник := Параметры.Значение('СлойПриемник');
  СлойИсточник := Параметры.Значение('СлойИсточник');
  
//TODO: сюда помещается рабочий код макроса
  Источник := СлойИсточник.Description.Fields.Data; 
  Приемник := СлойПриемник.Description.Fields.Data;
  Приемник.Очистить();
  Приемник.GroupData(Источник, "insert=true;keys=ID");
конец.
</value>
		<param value="СинхронизироватьОписания" type="1" name="AccessCount">241</param>
		<param value="СинхронизироватьОписания" type="2" name="AccessDate">41990.5451894213</param>
		<param value="СинхронизироватьОписания" type="3" name="installversion">1.0</param>
	</node>
</registry>
